[arch-commits] Commit in (4 files)

Andreas Radke andyrtr at gemini.archlinux.org
Mon Jan 31 20:57:27 UTC 2022


    Date: Monday, January 31, 2022 @ 20:57:27
  Author: andyrtr
Revision: 435641

add package required by libreoffice

Added:
  libcuckoo/
  libcuckoo/repos/
  libcuckoo/trunk/
  libcuckoo/trunk/PKGBUILD

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Added: libcuckoo/trunk/PKGBUILD
===================================================================
--- libcuckoo/trunk/PKGBUILD	                        (rev 0)
+++ libcuckoo/trunk/PKGBUILD	2022-01-31 20:57:27 UTC (rev 435641)
@@ -0,0 +1,44 @@
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+# Contributor: chn <g897331845 at gmail.com>
+
+pkgname=libcuckoo
+pkgver=0.3
+pkgrel=1
+pkgdesc="A high-performance, concurrent hash table"
+arch=('any')
+url='https://github.com/efficient/libcuckoo'
+license=('Apache')
+makedepends=('cmake') # 'git')
+#options=('!strip' '!buildflags' 'staticlibs')
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/efficient/libcuckoo/archive/refs/tags/v${pkgver}.tar.gz)
+md5sums=('13f68f7d20c8b9d819d6f1b12a3b1dc4')
+
+build() {
+    mkdir build
+    cd build
+  #  cd "${srcdir}/libcuckoo-${pkgver}"
+  #  mkdir -p build
+  #  cd build
+#    cmake -DCMAKE_BUILD_TYPE='None' -DCMAKE_INSTALL_PREFIX='/usr' -Wno-dev ..
+    cmake ../${pkgname}-${pkgver} \
+      -DCMAKE_BUILD_TYPE='None' \
+      -DCMAKE_INSTALL_PREFIX='/usr' \
+      -DBUILD_TESTS=1 \
+      -DBUILD_STRESS_TESTS=1 \
+      -DBUILD_UNIT_TESTS=1
+
+# -Wno-dev
+
+    make
+}
+
+check() {
+  cd build
+  ctest  # || true
+}
+
+package() {
+    cd build
+    make DESTDIR="$pkgdir" install
+    #install -Dm644 "../${pkgname}-${pkgver}/LICENSE" "$pkgdir/usr/share/licenses/$pkgname"
+}



More information about the arch-commits mailing list